<?
	include "./inc/osetreni_promennych.php";

	include "./inc/hlavicka.php";
	include "./inc/scripts.php";
	include "./inc/vrsek.php";
	include "./inc/menu.php";
	include "./inc/telo1.php";
?>

<h2><a name="top">www.UbytujNas.cz - Programtorsk dokumentace</a></h2>
<ol>
  <li><a href="#struktura_webu"><strong>Struktura webu</strong></a></li>
  <li><a href="#menu"><strong>Menu</strong></a></li>
  <li><a href="#prezentace_ubytovacich_zarizeni"><strong>Prezentace ubytovacch za&#345;zen</strong></a></li>
  <li><a href="#vyhledavani"><strong>Vyhledvn</strong></a></li>
  <li><a href="#editace_udaju"><strong>Editace daj&#367; ubytovacch za&#345;zen</strong></a></li>
</ol>
<hr>
<h3><a name="struktura_webu">Struktura webu</a></h3>
<p>www - ko&#345;en pro <a href="http://www.ubytujnas.cz">www.ubytujnas.cz</a></p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; images - obrzky pro grafickou
podobu strnek<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; obrazky - obrzky ubytovacch za&#345;zen<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; recepce - skripty pro komunikaci s
programem Recepce<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; script - soubory JavaScript pro
vyskakovac menu a informace pro menu zlokov<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; www - adres&#345; pro prezentace
ubytovacch za&#345;zen, bu&#271; vlastn nebo generovan z databze<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; vyhledavani - skripty obsluhujc
&#269;st dostupnou z menu vyhledvn<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ubyt_zarizeni - skripty obsluhujc
&#269;st dostupnou z menu sekce pro ubyt. za&#345;zen<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
edit - skripty pro sekci editace vaich daj&#367;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; rezervace - skripty pro rezerva&#269;n
formul&#345; a prci s rezervac<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; o_nas - skripty obsluhujc &#269;st
dostupnou z menu o ns<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; inc - soubory vkldan do strnek
- veker grafika a menu<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; inc2 - totez jako inc, pouv se
ale pouze pro alternativni design prezentac (ediv s kulatmi rohy)</p>
<p>data - adres&#345; kam mohou jen skripty, mimo strukturu webu (hlavn&#283;
kv&#367;li bezpe&#269;nosti)</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; arrays - r&#367;zn pole pot&#345;ebn
ve skriptech, hlavn&#283; p&#345;evd&#283;jc nzvy sloupc&#367; z v databzi
do popis&#367; &quot;hezky &#269;esky&quot;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; spojeni - skript s funkc pro p&#345;ipojen
k databzi (je v n&#283;m heslo!)<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; + funkce pro vypisovn chybovch
hlen<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; + funkce pro zaznamenvn prom&#283;nnch,
kter skript dostal kv&#367;li zlokovmu menu</p>
<p>Tm&#283;r v kadm adres&#345;i je adres&#345; inc, odkud si skripty
inkluduj vzhled strnek - vrek s logem a bannerem, menu, pop&#345;pad&#283;
zlokov menu, pati&#269;ku. Soubory v podadres&#345;ch tyto daje
neobsahuj, vkldaj je z adres&#345;e inc v ko&#345;eni, ktermu p&#345;edaj
svou rove&#328; zano&#345;en jako parametr, aby se vypsala sprvn&#283;
cesta k obrzk&#367;m v images atd.. (Vjimka je www/inc, kde je druh rove&#328;
na prvn, viz druha_uroven_readme.txt)</p>
<h5><a href="#top">Zp&#283;t na obsah</a></h5>
<hr>
<h3><a name="menu">Menu</a></h3>
<p>Menu JavaScript - Poloky se definuj v souboru script/Array1.js.php, kde
jsou popsny. Naprogramovnm menu jsem se nezaobral, je p&#345;evzato z <a href="http://www.cd-rail.cz">http://www.cd-rail.cz</a>.</p>
<p>Menu zlokov - ud&#283;lno kv&#367;li prohle&#269;&#367;m, kde
nefunguje JavaScript. Kv&#367;li n&#283;mu se do soubor&#367; p&#345;idvaj
inc/telo1.php p&#345;ed vlastn obsah strnky a inc/telo2.php za vlastn
obsah strnky. Podle prom&#283;nn $showmenu bu&#271; p&#345;slunou zloku
zobraz nebo ne. Poloky zlokovho menu se definuj v souboru
script/array_menu.php</p>
<h5><a href="#top">Zp&#283;t na obsah</a></h5>
<hr>
<h3><a name="prezentace_ubytovacich_zarizeni">Prezentace ubytovacch za&#345;zen</a></h3>
<p>Adres&#345; /www/&lt;jmno&gt; Pokud m ubyt. za&#345;zen vlastn
prezentaci, umst se do adres&#345;e &lt;jmno&gt;. Pokud se prezentace na&#269;t
z databze, zkopruj se do adres&#345;e pouze soubory index.php a
pokoje.php, v index.php se zm&#283;n $id. index.php zjist z databze vzhled
strnek, na&#269;te ../telo_prezentace.php, vlo se zacatek_stranky.php a
konec_stranky.php a ty podle id vzhledu prezentace na&#269;tou daje z inc,
inc2, ...</p>
<h5><a href="#top">Zp&#283;t na obsah</a></h5>
<hr>
<h3><a name="vyhledavani">Vyhledvn</a></h3>
<p>Mapka se na&#269;t z http://cykloserver.tmapserver.cz/tms/map_image.php,
co je skript, ktermu se zadaj sou&#345;adnice levho hornho rohu, pravho
dolnho rohu a velikost obrzku a on vrt p&#345;slunou &#269;st mapy
&#268;R.</p>
<h5><a href="#top">Zp&#283;t na obsah</a></h5>
<hr>
<h3><a name="editace_udaju">Editace daj&#367; ubytovacch za&#345;zen</a></h3>
<p>P&#345;slunou strnku generuje skript &lt;nazev&gt;.php, daje ze strnky
vdy zpracovv skript &lt;nazev&gt;akce.php.<br>
Zabezpe&#269;en je provedeno vloenm skriptu kontrola.php na za&#269;tek
kad strnky. Na za&#269;tku uivatel zad jmno a heslo, zkontroluje
se z databz, zape se &#269;as kdy se p&#345;ihlsil, vygeneruje se kd
a pole se mu zp&#283;t. P&#345;i kadm dalm p&#345;stupu k n&#283;jak
zabezpe&#269;en strnce uivatel posl zp&#283;t kd, ten se
zkontroluje, aktualizuje se &#269;as, vygeneruje se nov kd a op&#283;t se mu
pole. Pokud p&#345;ijde patn kd nebo je poadavek a po dlouh dob&#283;,
vlo se autorizace.php, kde je uivatel op&#283;t podn o jmno a
heslo.<br>
Jmno a heslo se posl metodou POST z formul&#345;e a je nezakdovan!!
Toto by cht&#283;lo vylepit pomoc zabezpe&#269;enho p&#345;ipojen.&nbsp; </p>
<h5><a href="#top">Zp&#283;t na obsah</a></h5>
<hr>
<h5>Posledn aktualizace: 7. z&#345; 2002</h5>

<?
	include "./inc/telo2.php";
	include "./inc/paticka.php";
?>
