<?
/*
	dostane parametry
		$akce = { pribliz, oddal, centruj, vyber } - co se ma udelat
		$mapa_x
		$mapa_y
		$stred_x - souradnice stredu mapy, na ktere uzivatel kliknul
		$stred_y
		$sirka_pul - pulka sirky mapy, na ktere uzivatel kliknul, vysku dopocitavame v pomeru
					podle $mapa_width a $mapa_height
*/
	include "./inc/osetreni_promennych.php";

	$mapa_width = 460;
	$mapa_height = 380;
	$limit_x_min = 3291971; // aby se nm uivatel neposunul do austrlie
	$limit_x_max = 3782628;
	$limit_y_min = 5377991;
	$limit_y_max = 5661203;
	$limit_sirka_min = 200; // aby se zobrazovala mapa vzdy po cele republice, je treba cca 2000,
							// ale to se ve mestech neda priblizit tak, jak by mohlo jit
	$limit_sirka_max = 245330;

	$akce = (Empty($zformulare) || Empty($HTTP_POST_VARS["akce"])) ? "pribliz" : $HTTP_POST_VARS["akce"];
	$mapa_x = (Empty($zformulare) || Empty($HTTP_POST_VARS["mapa_x"])) ? $mapa_width / 2 : $HTTP_POST_VARS["mapa_x"];
	$mapa_y = (Empty($zformulare) || Empty($HTTP_POST_VARS["mapa_y"])) ? $mapa_height / 2 : $HTTP_POST_VARS["mapa_y"];
		// default kliknut na prostredku
	$stred_x = (Empty($zformulare) || Empty($HTTP_POST_VARS["stred_x"])) ? 3537300 : $HTTP_POST_VARS["stred_x"];
	$stred_y = (Empty($zformulare) || Empty($HTTP_POST_VARS["stred_y"])) ? 5519597 : $HTTP_POST_VARS["stred_y"];
		// default stred republiky
	$sirka_pul = (Empty($zformulare) || Empty($HTTP_POST_VARS["sirka_pul"])) ? $limit_sirka_max : $HTTP_POST_VARS["sirka_pul"];
		// default polovina sirky republiky
	$vyska_pul = $sirka_pul * ($mapa_height / $mapa_width);
		// vysku_pul dopocitame pomerem velikosti obrazku s mapou

	if(IsSet($HTTP_POST_VARS["zformulare"])):
		// stred musime prepocitat vzdy
		$x = $mapa_x - ($mapa_width / 2); // misto 0..n mame -n/2...n/2, pracujeme se stredem
		$stred_x += ($x / ($mapa_width / 2)) * $sirka_pul;
		$y = -1 * ($mapa_y - ($mapa_height / 2)); // potrebujeme souradnice odzdola nahoru 
		$stred_y += ($y / ($mapa_height / 2)) * $vyska_pul;
		
		// kontrola, zda je stred v povolenych mezich
		if($stred_x < $limit_x_min) $stred_x = $limit_x_min;
		if($stred_x > $limit_x_max) $stred_x = $limit_x_max;
		if($stred_y < $limit_y_min) $stred_y = $limit_y_min;
		if($stred_y > $limit_y_max) $stred_y = $limit_y_max;
				
		if($akce == "pribliz"):
			$sirka_pul = $sirka_pul / 2;
		elseif($akce == "oddal"):
			$sirka_pul = $sirka_pul * 2;
		elseif($akce == "vyber"):
			// presmerovani - uzivatel uz si vybral bod
			include "./vysledek_podle_polohy.php";
			exit;			
		else:
			// centruj - sirka se nemeni
		endif;	
	
		if($sirka_pul < $limit_sirka_min) $sirka_pul = $limit_sirka_min;
		if($sirka_pul > $limit_sirka_max) $sirka_pul = $limit_sirka_max;
		$vyska_pul = $sirka_pul * ($mapa_height / $mapa_width);
	endif;

	include "./inc/hlavicka.php";
	include "./inc/scripts.php";
	include "./inc/vrsek.php";
	include "./inc/menu.php";
	include "./inc/telo1.php";
?>

<form method="POST" action="">
<table border="0" cellpadding="2" cellspacing="2">
  <tr>
    <td><input type="image" name="mapa" border="0" src="http://cykloserver.tmapserver.cz/tms/map_image.php?name=cykloserver&layer=cr_relief&layer=cr_anno_overview&layer=cr_anno&layer=cr2000&layer=cr1000&layer=cr500&layer=cr200&layer=cr50&layer=praha&layer=mesta&layer=mesta_ost&layer=hrady_zamky&mapsize=<?= $mapa_width ?>+<?= $mapa_height ?>&mapext=<?= $stred_x - $sirka_pul ?>+<?= $stred_y - $vyska_pul ?>+<?= $stred_x + $sirka_pul ?>+<?= $stred_y + $vyska_pul?>&mode=map" width="460" height="380"></td>
    <td align="left">
        <p>
		<input type="radio" name="akce" value="pribliz" <? if($akce == "pribliz") echo "checked"; ?>>&nbsp;pribli<br>
        <input type="radio" name="akce" value="oddal" <? if($akce == "oddal") echo "checked"; ?>>&nbsp;oddal<br>
        <input type="radio" name="akce" value="centruj" <? if($akce == "centruj") echo "checked"; ?>>&nbsp;centruj<br>
        <br>
        <input type="radio" name="akce" value="vyber" <? if($akce == "vyber") echo "checked"; ?>>&nbsp;vyber&nbsp;msto
		</p>
      <p>&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2">X:&nbsp;<?= $stred_x; ?> &nbsp;&nbsp;&nbsp; Y:&nbsp;<?= $stred_y; ?></td>
  </tr>
</table>
	<input type="hidden" name="zformulare" value="1">
	<input type="hidden" name="stred_x" value="<?= $stred_x ?>">
	<input type="hidden" name="stred_y" value="<?= $stred_y ?>">
	<input type="hidden" name="sirka_pul" value="<?= $sirka_pul ?>">
</form>
Pokud se pri pribliovn objev najednou bl pole, znamen to,<br>e podrobnej mapy pro danou oblast nejsou k dispozici.
<?
	include "./inc/telo2.php";
	include "./inc/paticka.php";
?>
