//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "AdministracePokojeFile.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAdministracePokoje *AdministracePokoje;
//---------------------------------------------------------------------------

__fastcall TAdministracePokoje::TAdministracePokoje(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::OKButtonClick(TObject *Sender)
{
    SeznamPokoju->UlozDoDatabaze();
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::OdstranVybranePokojeButtonClick(TObject *Sender)
{
    if(NadefinovanePokojeListBox->SelCount > 0) // jsou njak vybrny
    {
        for(int i = 0; i < NadefinovanePokojeListBox->Items->Count; i++)
        {
            if(NadefinovanePokojeListBox->Selected[i])
            {
                SeznamPokoju->OdstranPokoj(NadefinovanePokojeListBox->Items->
                                                                    Strings[i]);
            }
        }
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::FormShow(TObject *Sender)
{
    SeznamPokoju = new TSeznamPokoju();
    SeznamTypuPokoju = new TSeznamTypuPokoju();
    AktualizujZobrazeniNaFormulari();
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::PridejPokojButtonClick(TObject *Sender)
{
    if((TypyPokojuListBox->ItemIndex >= 0)
            && (NovyPokojEdit->Text != ""))
    {
        SeznamPokoju->PridejPokoj(NovyPokojEdit->Text,
            SeznamTypuPokoju->GetTypPokojeID(
            TypyPokojuListBox->Items->Strings[TypyPokojuListBox->ItemIndex]));
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::StornoButtonClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TAdministracePokoje::FormHide(TObject *Sender)
{
    delete SeznamPokoju;
    delete SeznamTypuPokoju;
}
//---------------------------------------------------------------------------

void TAdministracePokoje::AktualizujZobrazeniNaFormulari(void)
{
    SeznamPokoju->GetSeznamTStringList(NadefinovanePokojeListBox->Items);
    SeznamTypuPokoju->GetSeznamTStringList(TypyPokojuListBox->Items);
}
//---------------------------------------------------------------------------

