// Tda reprezentujc jednu dku v tabulce "ceny_pokoje_tab"
//
// opertory ==, !=, <, > obsahuje kvli ukldn do set<> v TSeznamCenPokoju
// opertory neberou pi porovnvn ohled na cenu
//---------------------------------------------------------------------------
#ifndef _TCenaPokoje_h_
#define _TCenaPokoje_h_
//---------------------------------------------------------------------------

class TCenaPokoje
{
public:
    TCenaPokoje(int _TypPokojeID, int _TypKlientaID, int _TypDneID, double _Cena = -1);
    ~TCenaPokoje(void) {};
    int GetTypPokojeID(void) const { return TypPokojeID; };
    int GetTypKlientaID(void) const { return TypKlientaID; };
    int GetTypDneID(void) const { return TypDneID; };
    double GetCena(void) const { return Cena; };
    bool operator==(const TCenaPokoje & _RHS) const; // shoduje se vse krome ceny
    bool operator!=(const TCenaPokoje & _RHS) const; // radi TypPokoje - TypDne - TypKlienta
    bool operator<(const TCenaPokoje & _RHS) const;
    bool operator>(const TCenaPokoje & _RHS) const;

private:
    int TypPokojeID;
    int TypKlientaID;
    int TypDneID;
    double Cena;
};
//--------------------------------------------------------------------------

#endif
