#include "TKlient.h"

//-----------------------------------------------------------------

TKlient::TKlient(int _KlientID, const TMyString & _Jmeno,
    const TMyString & _Telefon, const TMyString & _Email,
    const TMyString & _Stat)
{
    KlientID = _KlientID;
    Jmeno = _Jmeno;
    Telefon = _Telefon;
    Email = _Email;
    Stat = _Stat;

    // piadit rozumn hodnoty ostatnm polokm
}
//-----------------------------------------------------------------

void TKlient::UlozDoDatabaze(TMojeQuery * _Dotaz)
    // pokud dostane _Dotaz, pedpokld, e tabulka klienti_tab je zamen
    // pokud je KlientID = 0, najde dal voln v databzi a ulo si ho
{
    TMojeQuery * Dotaz;
    if(!_Dotaz)
    {
        Dotaz = new TMojeQuery();
        Dotaz->SQL->Clear();
        Dotaz->SQL->Add("LOCK TABLES klienti_tab WRITE");
        Dotaz->ExecSQL();
    }
    else
        Dotaz = _Dotaz;

    if(KlientID == 0)
    {
        KlientID = NajdiNepouziteID(Dotaz);
    }

    Dotaz->SQL->Clear();
    Dotaz->SQL->Add(VytvorDotazInsertProUlozeni());
    Dotaz->ExecSQL();

    if(!_Dotaz)
    {
        Dotaz->SQL->Clear();
        Dotaz->SQL->Add("UNLOCK TABLES");
        Dotaz->ExecSQL();
        delete Dotaz;
    }
}
//-----------------------------------------------------------------------

TMyString TKlient::VytvorDotazInsertProUlozeni(void) const
    // Vyuv ji "UlozDoDatabaze()"
{
    return
        TMyString("INSERT INTO klienti_tab SET ")
        + "klient_id = \""
        + TMyString(KlientID)
        + "\", typ_klienta_id = \""
        + "1"                       // z webu je klient vzdycky jednicka
        + "\", jmeno = \""
        + Jmeno
        + "\", telefon = \""
        + Telefon
        + "\", email = \""
        + Email
        + "\", stat = \""
        + Stat
        + "\"";
}
//------------------------------------------------------------------------

int TKlient::NajdiNepouziteID(TMojeQuery * _Dotaz) const
    // vyuv ji UlozDoDatabaze() v ppad novho klienta
{
    _Dotaz->SQL->Clear();
    _Dotaz->SQL->Add("SELECT (MAX(klient_id) + 1) AS nove_id FROM klienti_tab");
    _Dotaz->Open();
    _Dotaz->First();

    return _Dotaz->FieldByName("nove_id")->AsInteger;
}
//--------------------------------------------------------------------------

