// Tda reprezentujc jeden zznam v tabulce "klienti_tab"
//
//  DOPRACOVAT!!!!  (zatm se daje o klientovi nikde nezobrazuj
//                  tak nevad, e nejsou funkce dodlny)
//
//-------------------------------------------------------------------------
#ifndef _TKlient_h_
#define _TKlient_h_

#include "TMyString.h"
#include "TMojeQuery.h"

using MyStd::TMyString;
//-------------------------------------------------------------------------

class TKlient
{
public:
    TKlient(int _KlientID, const TMyString & _Jmeno,
        const TMyString & _Telefon = "", const TMyString & _Email = "",
        const TMyString & _Stat = "");
    ~TKlient() { };
    void UlozDoDatabaze(TMojeQuery * _Dotaz = 0);

    void SetJmeno(const TMyString _Jmeno) { Jmeno = _Jmeno; };
    void SetRodneCislo(const TMyString _RodneCislo);
    void SetDatumNarozeni(const TMyString _DatumNarozeni);
    void SetMistoNarozeni(const TMyString _MistoNarozeni);
//    void SetNarodnost(const int _NarodnostID);
    void SetNarodnost(const TMyString _Narodnost);
    void SetCisloOp(const TMyString _CisloOp);
    void SetCisloPasu(const TMyString _CisloPasu);
    void SetOstatniDoklady(const TMyString _OstatniDoklady);
    void SetUlice(const TMyString _Ulice);
    void SetCisloPopisne(const TMyString _CisloPopisne);
    void SetMesto(const TMyString _Mesto);
    void SetStat(const TMyString _Stat);
    void SetStatID(const TMyString _Stat);
    void SetSpzAuta(const TMyString _SpzAuta);
    void SetPsc(const TMyString _Psc);
    void SetTelefon(const TMyString _Telefon);
    void SetEmail(const TMyString _Email);
    void SetWWWStranky(const TMyString _WWWStranky);
    void SetOnlineMessage(const TMyString _OnlineMessage);
    void SetPovolani(const TMyString _Povolani);
    void SetOrganizace(const TMyString _Organizace);
    void SetCisloUctu(const TMyString _CisloUctu);
    void SetBankovniUstav(const TMyString _BankovniUstav);
    void SetKreditniKarta(const TMyString _KreditniKarta);
    void SetCisloKreditniKarty(const TMyString _CisloKreditniKarty);
    void SetSleva(const TMyString _Sleva);
    void SetIco(const TMyString _Ico);
    void SetDic(const TMyString _Dic);
    void SetNezadouciKlient(const TMyString _NezadouciKlient);
    void SetPoznamka(const TMyString _Poznamka);

    int GetKlientID() const { return KlientID; };
    const TMyString & GetJmeno() const { return Jmeno; };
    const TMyString & GetRodneCislo() const;
    const TMyString & GetDatumNarozeni() const;
    const TMyString & GetMistoNarozeni() const;
//    int GetNarodnostID() const;
    const TMyString & GetNarodnost() const;
    const TMyString & GetCisloOp() const;
    const TMyString & GetCisloPasu() const;
    const TMyString & GetOstatniDoklady() const;
    const TMyString & GetUlice() const;
    const TMyString & GetCisloPopisne() const;
    const TMyString & GetMesto() const;
    const TMyString & GetStatID() const;
    const TMyString & GetStat() const;
    const TMyString & GetSpzAuta() const;
    const TMyString & GetPsc() const;
    const TMyString & GetTelefon() const;
    const TMyString & GetEmail() const;
    const TMyString & GetWWWStranky() const;
    const TMyString & GetOnlineMessage() const;
    const TMyString & GetPovolani() const;
    const TMyString & GetOrganizace() const;
    const TMyString & GetCisloUctu() const;
    const TMyString & GetBankovniUstav() const;
    const TMyString & GetKreditniKarta() const;
    const TMyString & GetCisloKreditniKarty() const;
    const TMyString & GetSleva() const;
    const TMyString & GetIco() const;
    const TMyString & GetDic() const;
    const TMyString & GetNezadouciKlient() const;
    const TMyString & GetPoznamka() const;

private:
    TMyString VytvorDotazInsertProUlozeni(void) const;
    int NajdiNepouziteID(TMojeQuery * _Dotaz) const;

    int KlientID;
    int TypKlientaID;
    TMyString Jmeno;
    TMyString RodneCislo;
    TMyString DatumNarozeni;
    TMyString MistoNarozeni;
    TMyString NarodnostID;
    TMyString CisloOp;
    TMyString CisloPasu;
    TMyString OstatniDoklady;
    TMyString Ulice;
    TMyString CisloPopisne;
    TMyString Mesto;
    TMyString Stat;
    TMyString SpzAuta;
    TMyString Psc;
    TMyString Telefon;
    TMyString Email;
    TMyString WWWStranky;
    TMyString OnlineMessage;
    TMyString Povolani;
    TMyString Organizace;
    TMyString CisloUctu;
    TMyString BankovniUstav;
    TMyString KreditniKarta;
    TMyString CisloKreditniKarty;
    TMyString Sleva;
    TMyString Ico;
    TMyString Dic;
    TMyString NezadouciKlient;
    TMyString Poznamka;
};
//---------------------------------------------------------------------------

#endif

