// Hlavn okno aplikace
// Pi vytvoen se vytvo "MojeDatabaze" a oteve spojen s databz
//---------------------------------------------------------------------------

#ifndef TRecepceFormH
#define TRecepceFormH
//---------------------------------------------------------------------------
#include "TSeznamSkupinPokoju.h"
#include "TSeznamVytvorenychKomponent.h"
#include "TMojeDatabaze.h"
    // odkomentovan pravdpodobn nejsou poteba, byly vloeny databzovmi
    // komponentami a CppWebBrowserem, kter tu u nemm
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
//#include <Forms.hpp>
//#include <Db.hpp>
//#include <DBTables.hpp>
//#include <DBGrids.hpp>
//#include <Grids.hpp>
//#include <DBCtrls.hpp>
//#include <SHDocVw_OCX.h> /* tady byly obyejn uvozovky, zmnil jsem, aby se mi
//                            vlevo v ClassExploreru nezobrazovalo spoustu td */
//#include <OleCtrls.hpp>
//#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TRecepceForm : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *HlavniMenu;
    TMenuItem *MenuRezervace;
    TMenuItem *MenuAdministrace;
    TMenuItem *MenuNapoveda;
    TMenuItem *MenuAdministracePokoje;
    TMenuItem *MenuAdministraceSkupinyPokoju;
    TMenuItem *MenuAdministraceTypyPokoju;
    TStatusBar *StatusBar1;
    TMenuItem *MenuKlienti;
    TMenuItem *MenuKlientiNovyKlient;
    TMenuItem *MenuRezervaceNovaRezervace; // bylo by lep ho alokovat dynamicky,
                                   // a kdy je poteba
    TMenuItem *Linka1;
    TMenuItem *MenuAdministraceTypyDni;
    TTabControl *ObsazenostPokojuTabControl;
    TDateTimePicker *DoDateTimePicker;
    TDateTimePicker *OdDateTimePicker;
    TLabel *OdLabel;
    TLabel *DoLabel;
    TImageList *CtvereckyImageList;
    TButton *ZobrazButton;
    TMenuItem *MenuKlientiUpravUdaje;
    TMenuItem *SmazRezervaci;
    TMenuItem *OAplikaci;
    TMenuItem *N1;
    TMenuItem *SpolupraceSWebem;
    void __fastcall MenuAdministracePokojeClick(TObject *Sender);
    void __fastcall MenuAdministraceSkupinyPokojuClick(TObject *Sender);
    void __fastcall MenuAdministraceTypyPokojuClick(TObject *Sender);
    void __fastcall MenuKlientiNovyKlientClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall MenuRezervaceNovaRezervaceClick(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall MenuAdministraceTypyDniClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall ObsazenostPokojuTabControlChange(TObject *Sender);
    void __fastcall ZobrazButtonClick(TObject *Sender);
    void __fastcall MenuKlientiUpravUdajeClick(TObject *Sender);
    void __fastcall SmazRezervaciClick(TObject *Sender);
    void __fastcall OAplikaciClick(TObject *Sender);
    void __fastcall SpolupraceSWebemClick(TObject *Sender);
private:	// User declarations
    void AktualizujZobrazeniNaFormulari(void);
    void ZobrazObsazenostPokoju(void) const;
    void ZobrazObsazenostPokojuProSkupinu(const TMyString & _SkupinaPokoju) const;

    TMojeDatabaze * MojeDatabaze;
    TSeznamSkupinPokoju * SeznamSkupinPokoju;
    TSeznamVytvorenychKomponent * SeznamVytvorenychKomponent;
public:		// User declarations
    __fastcall TRecepceForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TRecepceForm *RecepceForm;
//---------------------------------------------------------------------------
#endif
