// Tda reprezentujc tabulku "ceny_pokoje_tab"
//--------------------------------------------------------------------------
#ifndef _TSeznamCenPokoju_h_
#define _TSeznamCenPokoju_h_
//--------------------------------------------------------------------------

#include "TMyString.h"
#include "TCenaPokoje.h";
#include <set>

using std::set;
using MyStd::TMyString;
//--------------------------------------------------------------------------

class TSeznamCenPokoju
{
public:
    TSeznamCenPokoju(void);
    ~TSeznamCenPokoju(void) { };
    void UlozDoDatabaze(void);
    TMyString VytvorDotazInsertProUlozeniCenyPokoje(
                        const set< TCenaPokoje >::const_iterator _it) const;
    void OdstranCenuPokoje(int _TypPokojeID, int _TypKlientaID, int _TypDneID);
    void PridejCenuPokoje(
            int _TypPokojeID, int _TypKlientaID, int _TypDneID, double _Cena);

private:
    set< TCenaPokoje > CenyPokoju;
};
//---------------------------------------------------------------------------

#endif
 