#include "TSeznamKlientu.h"

#include "TMojeQuery.h"
//-------------------------------------------------------------------

TSeznamKlientu::TSeznamKlientu()
{
    TMojeQuery * Dotaz = new TMojeQuery(0);

    Dotaz->SQL->Add("SELECT klient_id, jmeno FROM klienti_tab");
    Dotaz->Open();

    Klienti.clear();

    if(!Dotaz->IsEmpty())
    {
        Dotaz->First();
        do
        {
            Klienti.push_back(TKlient(Dotaz->FieldByName("klient_id")->AsInteger,
                     TMyString(Dotaz->FieldByName("jmeno")->AsString)));
            Dotaz->Next();
        }
        while(!Dotaz->Eof);
    }

    delete Dotaz;
}
//-------------------------------------------------------------------

void TSeznamKlientu::GetSeznamTStringList(TStrings * _sl) const
    // do seznamu TStrings vypln jmna klient v seznamu,
    // co tam bylo pedtm smae
{
    vector<TKlient>::const_iterator it;

    _sl->Clear();

    for(it = Klienti.begin(); it != Klienti.end(); it++)
    {
        _sl->Add(it->GetJmeno());
    }
}
//----------------------------------------------------------------------

int TSeznamKlientu::GetKlientID(TMyString _Jmeno) const
    // ke jmnu klienta dohled jeho ID
    // NEKOREKTN, KDYBY SE VYSKYTLI DVA SE STEJNM JMNEM
{
    vector<TKlient>::const_iterator it;

    for(it = Klienti.begin(); it != Klienti.end(); it++)
    {
        if(_Jmeno == it->GetJmeno())
            return it->GetKlientID();
    }

    return 0;
}
//----------------------------------------------------------------------

