#include "TSeznamObjednavekPokoju.h"

#include "TMojeQuery.h"

//---------------------------------------------------------------------------

TSeznamObjednavekPokoju::TSeznamObjednavekPokoju(void)
    // nate z tabulky objednavky_pokoje_tab daje o vech objednvkch a
    // vypln s nimi vektor "ObjednavkyPokoju"
    //
    // MَE TO BT VELK MNOSTV DAT!!!! RADJI NEPOUVAT!!!!!
{
    TMojeQuery * Dotaz = new TMojeQuery();

    Dotaz->SQL->Add("SELECT * FROM objednavky_pokoje_tab");
    Dotaz->Open();

    ObjednavkyPokoju.clear();

    if(!Dotaz->IsEmpty())
    {
        Dotaz->First();
        do
        {
            ObjednavkyPokoju.push_back(TObjednavkaPokoje(
                Dotaz->FieldByName("klient_id")->AsInteger,
                Dotaz->FieldByName("cislo_objednavky")->AsInteger,
                Dotaz->FieldByName("datum_objednavky")->AsDateTime,
                Dotaz->FieldByName("od_kdy")->AsDateTime,
                Dotaz->FieldByName("do_kdy")->AsDateTime,
                Dotaz->FieldByName("pokoj_id")->AsInteger,
                Dotaz->FieldByName("cena")->AsFloat
                                                                            ));
            Dotaz->Next();
        }
        while(!Dotaz->Eof);
    }

    delete Dotaz;
}
//---------------------------------------------------------------------------

TSeznamObjednavekPokoju::TSeznamObjednavekPokoju(int _KlientID)
    // nate z tabulky objednavky_pokoje_tab daje o vech objednvkch
    // klienta _KlientID a vypln s nimi vektor "ObjednavkyPokoju"
{
    TMojeQuery * Dotaz = new TMojeQuery();

    Dotaz->SQL->Add(
        TMyString("SELECT * FROM objednavky_pokoje_tab WHERE klient_id = \"")
        + TMyString(_KlientID) + "\"");
    Dotaz->Open();

    ObjednavkyPokoju.clear();

    if(!Dotaz->IsEmpty())
    {
        Dotaz->First();
        do
        {
            ObjednavkyPokoju.push_back(TObjednavkaPokoje(
                Dotaz->FieldByName("klient_id")->AsInteger,
                Dotaz->FieldByName("cislo_objednavky")->AsInteger,
                Dotaz->FieldByName("datum_objednavky")->AsDateTime,
                Dotaz->FieldByName("od_kdy")->AsDateTime,
                Dotaz->FieldByName("do_kdy")->AsDateTime,
                Dotaz->FieldByName("pokoj_id")->AsInteger,
                Dotaz->FieldByName("cena")->AsFloat
                                                                            ));
            Dotaz->Next();
        }
        while(!Dotaz->Eof);
    }

    delete Dotaz;
}
//---------------------------------------------------------------------------

int TSeznamObjednavekPokoju::GetPocetObjednavek(void) const
{
    return ObjednavkyPokoju.end() - ObjednavkyPokoju.begin();
}
//---------------------------------------------------------------------------

void TSeznamObjednavekPokoju::GetSeznamTStringList(TStrings * _sl) const
    // do pedanho pointeru ukazujcho na TStrings vypln
    // sla objednvek, ve co tam bylo pedtm odstran
{
    vector< TObjednavkaPokoje >::const_iterator it;

    _sl->Clear();

    for(it = ObjednavkyPokoju.begin(); it != ObjednavkyPokoju.end(); it++)
    {
        _sl->Add(TMyString(it->GetCisloObjednavky()));
    }
}
//-------------------------------------------------------------

TDate TSeznamObjednavekPokoju::GetOdKdy(int _CisloObjednavky) const
    // pro dan slo objednvky zjist, od kdy je
{
    vector< TObjednavkaPokoje >::const_iterator it;

    for(it = ObjednavkyPokoju.begin(); it != ObjednavkyPokoju.end(); it++)
    {
        if(it->GetCisloObjednavky() == _CisloObjednavky)
        {
            return it->GetOdKdy();
        }
    }

    return TDate(); // nemlo by to sem dojt, kvli warningu
}
//-------------------------------------------------------------

TDate TSeznamObjednavekPokoju::GetDoKdy(int _CisloObjednavky) const
    // pro dan slo objednvky zjist do kdy je
{
    vector< TObjednavkaPokoje >::const_iterator it;

    for(it = ObjednavkyPokoju.begin(); it != ObjednavkyPokoju.end(); it++)
    {
        if(it->GetCisloObjednavky() == _CisloObjednavky)
        {
            return it->GetDoKdy();
        }
    }

    return TDate(); // nemlo by to sem dojt, kvli warningu
}
//-------------------------------------------------------------

