// Tda reprezentujc tabulku "skupiny_pokoju_tab"
//----------------------------------------------------------------------------
#ifndef _TSeznamSkupinPokoju_h_
#define _TSeznamSkupinPokoju_h_

#include "TSkupinaPokoju.h"
#include "TSeznamVytvorenychKomponent.h"
//----------------------------------------------------------------------------

class TSeznamSkupinPokoju
{
public:
    TSeznamSkupinPokoju(void);
    ~TSeznamSkupinPokoju(void) {};
    void GetSeznamTStringList(TStrings * _sl) const;
    void GetSeznamTStringListPokojuVeSkupine(
                const TMyString & _NazevSkupinyPokoju, TStrings * _sl) const;
    int GetSkupinaPokojuID(const TMyString & _NazevSkupinyPokoju) const;
    void OdstranSkupinuPokoju(const TMyString & _NazevSkupinyPokoju);
    void PridejSkupinuPokoju(const TMyString & _NazevSkupinyPokoju);
    void UlozDoDatabaze(void) const;
    void OdstranPokojeZeSkupiny(const TMyString & _NazevSkupinyPokoju,
                                 const vector< TPokoj > & _PokojeKOdstraneni);
    void PridejPokojeDoSkupiny(const TMyString & _NazevSkupinyPokoju,
                                   const vector< TPokoj > & _PokojeNaPridani);
    void ZobrazObsazenostPokojuProSkupinu(const TMyString & _NazevSkupinyPokoju,
        const TControl * _Parent, int _lhrX, int _lhrY, const TDate & _Od,
        const TDate & _Do, TSeznamVytvorenychKomponent * _SeznamVytvorenychKomponent) const;

private:
    int NajdiNepouziteID(void) const;
    bool SeznamSkupinPokojuObsahujeID(int _ID) const;
    void UlozDoDatabazeSkupinyPokoju(void) const;
    void UlozDoDatabazeSkupinyPokojuPropojeni(void) const;
    TMyString VytvorDotazInsertProUlozeniSkupinyPokoju(
                     const vector< TSkupinaPokoju >::const_iterator _it) const;

    vector< TSkupinaPokoju > SkupinyPokoju;
};
//----------------------------------------------------------------------------

#endif
 