// Tda reprezentujc tabulku "typy_dnu_tab"
//---------------------------------------------------------------------------
#ifndef _TSeznamTypuDni_h_
#define _TSeznamTypuDni_h_

#include "TTypDne.h"
#include "TMyString.h"
#include <vector>
using MyStd::TMyString;
using std::vector;

//-----------------------------------------------------------------------

class TSeznamTypuDni
{
public:
    TSeznamTypuDni(void);
    ~TSeznamTypuDni(void) { };
    void GetSeznamTStringList(TStrings * _sl) const;
    void PridejTypDne(const TMyString & _NazevTypuDne);
    void OdstranTypDne(const TMyString & _NazevTypuDne);
    int GetTypDneID(const TMyString & _TypDne) const;
    void UlozDoDatabaze(void) const;
    bool First(void);
    bool Next(void);
    int PoziceGetTypDneID(void) const;

private:
    TMyString VytvorDotazTypyDniSelect(void) const;
    int NajdiNepouziteID(void) const;
    bool SeznamObsahujeID(int _ID) const;
    void UlozDoDatabazeTypyDni(void) const;
    void UlozDoDatabazeOdstranCenyPokoje(void) const;
    void UlozDoDatabazeOdstranKalendarTypyDnu(void) const;
    TMyString VytvorDotazInsertProUlozeniTypuDni(
                            const vector< TTypDne >::const_iterator _it) const;

    vector< TTypDne >::const_iterator Pozice;
    vector< TTypDne > TypyDni;
};
//-----------------------------------------------------------------------

#endif
