// Tda reprezentujc tabulku "typy_pokoju_tab". Pi vytvoen si nate data
// z databze.
//--------------------------------------------------------------------------
#ifndef _TSeznamTypuPokoju_h_
#define _TSeznamTypuPokoju_h_
//--------------------------------------------------------------------------

#include "TTypPokoje.h"
#include "TMyString.h"
#include <vector>

using std::vector;
using std::pair;
using MyStd::TMyString;

class TSeznamTypuPokoju
{
public:
    TSeznamTypuPokoju();
    ~TSeznamTypuPokoju() {};
    void GetSeznamTStringList(TStrings * _sl) const;
    int GetTypPokojeID(const TMyString & _TypPokoje) const;
    void UlozDoDatabaze(void) const;
    void PridejTypPokoje(const TMyString & _NazevTypu, int _PocetLuzek);
    bool OdstranTypPokoje(const TMyString & _NazevTypu);

private:
    TMyString VytvorDotazTypyPokojuSelect(void) const;
    TMyString VytvorDotazInsertProUlozeni(const vector< TTypPokoje >::const_iterator _it) const;
    int NajdiNepouziteID(void) const;
    bool SeznamObsahujeID(int _ID) const;
    void OdstranTypPokojeBezKontroly(int _TypID);
    bool TabulkaPokojuObsahujeIDTypuPokoje(int _ID) const;
    void UlozDoDatabazeTypyPokoju(void) const;
    void UlozDoDatabazeOdstranCenyPokoje() const;

    vector< TTypPokoje > TypyPokoju;
};

#endif
