<?
/*
	Dostv zpet informace o tom, kter rezervace byly akceptovny a kter ne.
	
	Dostane metodou POST tyto daje:
	id = id ubytovacho zarzen
	heslo = prstupov heslo ke zmenm v databzi
	rezervace = asociativn pole, ve kterm je klc cslo rezervace a hodnota
					1 - rezervace byla akceptovna
					0 - rezervace zustane beze zmeny, pole se prte
					-1 - rezervace byla odmtnuta	

	Aktualizuje stav rezevac v rezervacetab a pokud byla rezervace prijata (1), v tabulce
	cenytab u prslunch dn a pokoje pricte 1 ve sloupci rezervovano. U jakch dn a jakho
	pokoje zjist podle csla rezervace z rezervacetab.
*/

	require_once "./../../data/osetreni_chyb.php";
	require_once "./../../data/spojeni/databaze.php";

	if(!$spojeni = PripojkDatabazi($ErrorCode, $ErrorFile))
	{
		echo "zprava=Na serveru se nepodarilo pripojit k databzi.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	}
	if(!IsSet($HTTP_POST_VARS["id"]))
	{
		echo "zprava=Nebylo poslno ID ubytovacho zarzen.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	}
	if(!IsSet($HTTP_POST_VARS["heslo"]))
	{
		echo "zprava=Nebylo poslno heslo.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	}
	
	$id = AddSlashes($HTTP_POST_VARS["id"]);
	@$vysledek = MySQL_Query("SELECT heslo FROM heslatab WHERE id = \"$id\"", $spojeni);
	if(!$vysledek):
		echo "zprava=Chyba pri provden prkazu SELECT na serveru. (Pri kontrole hesla.)\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	endif;
	if(!$zaznam = MySQL_Fetch_Array($vysledek)):  // s timhletim id nikdo v databzi nen
		echo "zprava=Bylo poslno neznm ID ubytovacho zarzen.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	endif;
	if($zaznam["heslo"] != $HTTP_POST_VARS["heslo"]):  //zadal patne heslo
		echo "zprava=patn heslo.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	endif;
	
	// Zde u by melo bt vechno korektn, v promenn $id uloen ID zarzen kde hledame rezervace.
	
	if(!IsSet($HTTP_POST_VARS["rezervace"])) // nebyla poslna nejak zmena na stav rezervace
	{
		echo "zprava=Nen potreba nic aktualizovat. Zadna nova rezervace.\n";
		exit;
	}
	
	$rez = $HTTP_POST_VARS["rezervace"];
	$pocet_chyb = 0;

	@$vysledek = MySQL_Query("SELECT * FROM maintab, rezervacetab WHERE maintab.id = \"$id\" AND stav_rezervace = 0 AND maintab.id = rezervacetab.id", $spojeni);
		// stav_rezervace: 0 - nov, 1 - prijat, -1 - odmtnut
		// aktualizovat budeme jenom nov
	if(!$vysledek):
		echo "zprava=Chyba pri provden prkazu SELECT na serveru. (Pri zskvn daju o rezervacch.)\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
		exit;
	endif;
	
	while($zaznam = MySQL_Fetch_Array($vysledek))
	{
		if(IsSet($rez[$zaznam["rezervaceid"]])) //pro tuto rezervaci jsme dostali odpoved
		{
			//aktualizujeme stav v tabulce rezervacetab
			$DotazUpdate = "UPDATE rezervacetab SET stav_rezervace = \"".$rez[$zaznam["rezervaceid"]].
							"\" WHERE id = \"$id\" AND rezervaceid = \"".$zaznam["rezervaceid"]."\"";
			@$vysledek_update = MySQL_Query($DotazUpdate, $spojeni);
			if(!$vysledek_update)
			{
				$pocet_chyb++;
				continue;
			}

			if($rez[$zaznam["rezervaceid"]] > 0) // rezervace byla prijata, musme aktualizovat cenytab
			{
				$DotazUpdate = "UPDATE cenytab SET rezervovano = rezervovano + 1".
								" WHERE id = \"$id\"".
								" AND pokojid = \"".$zaznam["pokojid"]."\"".
								" AND datum >= \"".$zaznam["datum_od"]."\"".
								" AND datum <= \"".$zaznam["datum_do"]."\"";

				@$vysledek_update = MySQL_Query($DotazUpdate, $spojeni);
				if(!$vysledek_update)
					$pocet_chyb++;
			}

			///-------- ODESLME MAIL --------------
			if($rez[$zaznam["rezervaceid"]] > 0) // rezervace byla prijata
			{
				@mail($zaznam["rezervacetab.email"], "Potvrzen rezervace ".$zaznam["maintab.name"],
					"Vae rezervace na obdob ".$zaznam["datum_od"]." a ".$zaznam["datum_do"]." byla prijata.\n\n".
					(IsSet($zaznam["maintab.name"]) ? "<b>".$zaznam["maintab.name"]."</b>\n" : "").
					(IsSet($zaznam["maintab.ulice"]) && IsSet($zaznam["maintab.cislo"]) ? $zaznam["maintab.ulice"]." ".$zaznam["maintab.cislo"]."\n" : "").
					(IsSet($zaznam["maintab.obec"]) ? $zaznam["maintab.obec"]."\n" : "").
					(IsSet($zaznam["maintab.tel"]) ? "Tel: ".$zaznam["maintab.tel"]."\n" : "").
					(IsSet($zaznam["maintab.fax"]) && ($zaznam["maintab.fax"] != "") ? "Fax: ".$zaznam["maintab.fax"]."\n" : "")
					);
			}
			if($rez[$zaznam["rezervaceid"]] < 0) // rezervace byla odmitnuta
			{
				@mail($zaznam["rezervacetab.email"], "Potvrzen rezervace ".$zaznam["maintab.name"],
					"Litujeme, ale vae rezervace na obdob ".$zaznam["datum_od"]." a ".$zaznam["datum_do"]." nebyla prijata.\n\n".
					(IsSet($zaznam["maintab.name"]) ? "<b>".$zaznam["maintab.name"]."</b>\n" : "").
					(IsSet($zaznam["maintab.ulice"]) && IsSet($zaznam["maintab.cislo"]) ? $zaznam["maintab.ulice"]." ".$zaznam["maintab.cislo"]."\n" : "").
					(IsSet($zaznam["maintab.obec"]) ? $zaznam["maintab.obec"]."\n" : "").
					(IsSet($zaznam["maintab.tel"]) ? "Tel: ".$zaznam["maintab.tel"]."\n" : "").
					(IsSet($zaznam["maintab.fax"]) && ($zaznam["maintab.fax"] != "") ? "Fax: ".$zaznam["maintab.fax"]."\n" : "")
					);
			}
			///--------------------------------------
		}
	}
	if($pocet_chyb)
	{
		echo "zprava=Pri zpracovn se vyskytlo $pocet_chyb chyb.\n";
		echo "zprava=Spustte export cen a obsazenosti, aby souhlasily daje na webu s aktulnm stavem.\n";
	}		
	else
	{
		echo "zprava=Import rezervac z webu a nsledn aktualizace na webu probehly spene.\n";
	}
?>

Vypisuji pole $HTTP_POST_VARS:
<?
	Reset($HTTP_POST_VARS);
	while(Current($HTTP_POST_VARS)):
		echo Key($HTTP_POST_VARS)."\t".Current($HTTP_POST_VARS)."\n";
		Next($HTTP_POST_VARS);
	endwhile;
?>
Vypisuji pole $HTTP_GET_VARS:
<?
	Reset($HTTP_GET_VARS);
	while(Current($HTTP_GET_VARS)):
		echo Key($HTTP_GET_VARS)."\t".Current($HTTP_GET_VARS)."\n";
		Next($HTTP_GET_VARS);
	endwhile;
?>
