<?
/*
	Dostane metodou POST tyto daje:
	id = id ubytovacho zarzen
	heslo = prstupov heslo ke zmenm v databzi
	pocet_typu = pocet typu pokoju, kter nsleduj v poli
	typy[] = pole s tolika polozkami, kolik je pocet_typu, polozky jsou 0 .. pocet_typu-1
			kazda polozka je asociativn pole obsahujc nsledujc indexy
				- typ_pokoje_id
				- nazev_typyu_pokoje
				- pocet_luzek
				- pocet_pokoju
*/

	require_once "./../../data/osetreni_chyb.php";
	require_once "./../../data/spojeni/databaze.php";

	if(!$spojeni = PripojkDatabazi($ErrorCode, $ErrorFile))
	{
		echo "zprava=Na serveru se nepodarilo pripojit k databzi.\n";
		exit;
	}
	if(!IsSet($HTTP_POST_VARS["id"]))
	{
		echo "zprava=Nebylo poslno ID ubytovacho zarzen.\n";
		exit;
	}
	if(!IsSet($HTTP_POST_VARS["heslo"]))
	{
		echo "zprava=Nebylo poslno heslo.\n";
		exit;
	}
	if(!IsSet($HTTP_POST_VARS["pocet_typu"]) || ($HTTP_POST_VARS["pocet_typu"] < 0))
	{
		echo "zprava=Nebyl posln pocet typu pokoju, nebo neobsahuje platnou hodnotu.\n";
		exit;
	}
	
	$id = AddSlashes($HTTP_POST_VARS["id"]);
	@$vysledek = MySQL_Query("SELECT heslo FROM heslatab WHERE id = \"$id\"", $spojeni);
	if(!$vysledek):
		echo "zprava=Chyba pri provden prkazu SELECT na serveru. (Pri kontrole hesla.)\n";
		exit;
	endif;
	if(!$zaznam = MySQL_Fetch_Array($vysledek)):  // s timhletim id nikdo v databzi nen
		echo "zprava=Bylo poslno neznm ID ubytovacho zarzen.\n";
		exit;
	endif;
	if($zaznam["heslo"] != $HTTP_POST_VARS["heslo"]):  //zadal patne heslo
		echo "zprava=patn heslo.\n";
		exit;
	endif;
	
	// Zde u by melo bt vechno korektn, v promenn $id uloen ID zarzen kde menme.
	
	@$vysledek = MySQL_Query("LOCK TABLES pokojetab WRITE", $spojeni);
	if(!$vysledek):
		echo "zprava=Chyba pri zamykn tabulky pokojetab.\n";
		exit;
	endif;
	@$vysledek = MySQL_Query("DELETE FROM pokojetab WHERE id = \"$id\"", $spojeni);
	if(!$vysledek):
		echo "zprava=Chyba pri provden prkazu DELETE na serveru. (Pri mazn starch daju.)\n";
		exit;
	endif;
	
	for($i = 0; $i < $HTTP_POST_VARS["pocet_typu"]; $i++)
	{
		$typ = $HTTP_POST_VARS["typy"][$i];
		$dotaz = "INSERT INTO pokojetab SET";
		$dotaz = $dotaz." id = $id,";
		$dotaz = $dotaz." pokojid = ".$typ["typ_pokoje_id"].",";
		$dotaz = $dotaz." nazevpokcz = \"".$typ["nazev_typu_pokoje"]."\",";
		$dotaz = $dotaz." nazevpokgb = \"".$typ["nazev_typu_pokoje"]."\","; // zatm ve cesky
		$dotaz = $dotaz." nazevpokde = \"".$typ["nazev_typu_pokoje"]."\","; // zatm ve cesky
		$dotaz = $dotaz." kapacita = ".$typ["pocet_luzek"].",";
		$dotaz = $dotaz." pocetpok = ".$typ["pocet_pokoju"]; 		
		$vysledek = MySQL_Query($dotaz, $spojeni);
		if(!$vysledek):
			echo $dotaz."\n";
			echo "zprava=Chyba pri provden prkazu INSERT na serveru. (Pri vkldn novch daju.)\n";
			echo "zprava=Opakujte prosm export daju o typech pokoju.\n";
			exit;
		endif;
	}
	@$vysledek = MySQL_Query("UNLOCK TABLES", $spojeni);
	if(!$vysledek):
		echo "zprava=Chyba pri odemykn tabulky pokojetab.\n";
		echo "zprava=Data jsou ovem v pordku aktualizovna.\n";
		exit;
	endif;
	// Tady u by melo bt ve v pordku aktualizovno.
	
	echo "zprava=Aktualizace typu pokoju na serveru probehla v pordku.\n";
?>


Vypisuji pole $HTTP_POST_VARS:
<?
	Reset($HTTP_POST_VARS);
	while(Current($HTTP_POST_VARS)):
		echo Key($HTTP_POST_VARS)."\t".Current($HTTP_POST_VARS)."\n";
		Next($HTTP_POST_VARS);
	endwhile;
?>
Vypisuji pole $HTTP_GET_VARS:
<?
	Reset($HTTP_GET_VARS);
	while(Current($HTTP_GET_VARS)):
		echo Key($HTTP_GET_VARS)."\t".Current($HTTP_GET_VARS)."\n";
		Next($HTTP_GET_VARS);
	endwhile;
?>
