// Formul, zobraz ho Administrace -> Pokoje...
// Pi zobrazen si nate seznam pokoj a seznam typ pokoj, kter pak
// upravuje pouze v pamti a a pi ukonen ulo do databze 
//---------------------------------------------------------------------------
#ifndef AdministracePokojeFileH
#define AdministracePokojeFileH
//---------------------------------------------------------------------------
#include "TSeznamPokoju.h"
#include "TSeznamTypuPokoju.h"

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TAdministracePokoje : public TForm
{
__published:	// IDE-managed Components
    TLabel *NadefinovanePokojeLabel;
    TLabel *NovyPokojLabel;
    TEdit *NovyPokojEdit;
    TButton *PridejPokojButton;
    TButton *OdstranVybranePokojeButton;
    TButton *OKButton;
    TButton *StornoButton;
    TLabel *TypNovehoPokojeLabel;
    TListBox *NadefinovanePokojeListBox;
    TListBox *TypyPokojuListBox;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall OdstranVybranePokojeButtonClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall PridejPokojButtonClick(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
private:	// User declarations
    void AktualizujZobrazeniNaFormulari(void);

    TSeznamPokoju * SeznamPokoju;
    TSeznamTypuPokoju * SeznamTypuPokoju;
public:		// User declarations
    __fastcall TAdministracePokoje(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TAdministracePokoje *AdministracePokoje;
//---------------------------------------------------------------------------
#endif
