// Formul, zobraz ho Administrace -> Skupiny pokoj...
// Pi zobrazen si nate seznam skupin pokoj a seznam pokoj,
// upravuje je pouze v pamti a a pi ukonen ulo do databze 
//---------------------------------------------------------------------------
#ifndef AdministraceSkupinyPokojuFileH
#define AdministraceSkupinyPokojuFileH
//---------------------------------------------------------------------------
#include "TSeznamSkupinPokoju.h"
#include "TSeznamPokoju.h"

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TAdministraceSkupinyPokoju : public TForm
{
__published:	// IDE-managed Components
    TLabel *SkupinyPokojuLabel;
    TListBox *SkupinyPokojuListBox;
    TLabel *NovaSkupinaLabel;
    TEdit *NovaSkupinaEdit;
    TButton *PridejSkupinuButton;
    TListBox *PokojeVeSkupineListBox;
    TLabel *PokojeVeSkupineLabel;
    TListBox *VsechnyPokojeListBox;
    TLabel *VsechnyPokojeLabel;
    TButton *PridejPokojeButton;
    TButton *OdeberPokojeButton;
    TButton *OdstranSkupinuButton;
    TButton *OKButton;
    TButton *StornoButton;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall SkupinyPokojuListBoxClick(TObject *Sender);
    void __fastcall OdstranSkupinuButtonClick(TObject *Sender);
    void __fastcall PridejSkupinuButtonClick(TObject *Sender);
    void __fastcall NovaSkupinaEditKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall OdeberPokojeButtonClick(TObject *Sender);
    void __fastcall PridejPokojeButtonClick(TObject *Sender);
private:	// User declarations
    void AktualizujZobrazeniNaFormulari(void);
    void AktualizujZobrazeniNaFormulariJenPokojeVeSkupine(void);
    vector< TPokoj > VytvorVectorZVybranychPokoju(TListBox * _ListBox) const;

    TSeznamSkupinPokoju * SeznamSkupinPokoju;
    TSeznamPokoju * SeznamVsechPokoju;
public:		// User declarations
    __fastcall TAdministraceSkupinyPokoju(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TAdministraceSkupinyPokoju *AdministraceSkupinyPokoju;
//---------------------------------------------------------------------------
#endif
