//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "AdministraceTypyDniFile.h"

#include "NastaveniDnuUTypuDneFile.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAdministraceTypyDni *AdministraceTypyDni;
//---------------------------------------------------------------------------

__fastcall TAdministraceTypyDni::TAdministraceTypyDni(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::PriradDnyVybranemuTypuButtonClick(
      TObject *Sender)
    // Zobraz formul TNastaveniDnuUTypuDne a ped mu ID typu dne, kter
    // vybral uivatel
{
    if(TypyDniListBox->ItemIndex >=0)
    {
        NastaveniDnuUTypuDne->MyShowModal(SeznamTypuDni->GetTypDneID(
                TypyDniListBox->Items->Strings[TypyDniListBox->ItemIndex]));
    }
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::OKButtonClick(TObject *Sender)
{
    SeznamTypuDni->UlozDoDatabaze();
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::StornoButtonClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::FormShow(TObject *Sender)
{
    SeznamTypuDni = new TSeznamTypuDni();

    AktualizujZobrazeniNaFormulari();
}
//---------------------------------------------------------------------------

void TAdministraceTypyDni::AktualizujZobrazeniNaFormulari(void)
{
    NovyTypDneEdit->Text = "";
    SeznamTypuDni->GetSeznamTStringList(TypyDniListBox->Items);
}
//--------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::PridejTypDneButtonClick(TObject *Sender)
{
    if(NovyTypDneEdit->Text != "")
    {
        SeznamTypuDni->PridejTypDne(NovyTypDneEdit->Text);
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::OdstranVybranyTypButtonClick(
      TObject *Sender)
    // Odstran typ dne vybran uivatelem z SeznamTypuDni
{
    if(TypyDniListBox->ItemIndex >= 0) // je vybran typ
    {
        SeznamTypuDni->OdstranTypDne(
                    TypyDniListBox->Items->Strings[TypyDniListBox->ItemIndex]);
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

void __fastcall TAdministraceTypyDni::FormHide(TObject *Sender)
{
    delete SeznamTypuDni;
}
//---------------------------------------------------------------------------


void __fastcall TAdministraceTypyDni::NovyTypDneEditKeyDown(
      TObject *Sender, WORD &Key, TShiftState Shift)
{
    if(Key == VK_RETURN)
        PridejTypDneButtonClick(Sender);
}
//---------------------------------------------------------------------------

