// Formul, zobraz se pi Administrace -> Typy pokoj... -> tlatko
// "Nadefinuj ceny u vybranch"
//---------------------------------------------------------------------------
#ifndef DefinovaniCenFileH
#define DefinovaniCenFileH
//---------------------------------------------------------------------------
#include "TSeznamTypuDni.h"
#include "TSeznamTypuKlientu.h"
#include "TSeznamCenPokoju.h"

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <vector>

using std::vector;
//---------------------------------------------------------------------------

class TDefinovaniCen : public TForm
{
__published:	// IDE-managed Components
    TLabel *UTechtoTypuDniLabel;
    TLabel *NastavCenuNaLabel;
    TEdit *CenaEdit;
    TLabel *KorunLabel;
    TButton *NastavCenuButton;
    TButton *OKButton;
    TButton *StornoButton;
    TListBox *TypyDniListBox;
    TLabel *ProTytoTypyKlientuLabel;
    TListBox *TypyKlientuListBox;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall NastavCenuButtonClick(TObject *Sender);
    void __fastcall CenaEditKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
    void AktualizujZobrazeniNaFormulari(void);

    TSeznamTypuDni * SeznamTypuDni;
    TSeznamTypuKlientu * SeznamTypuKlientu;
    vector<int> VybraneTypyPokoju;
    TSeznamCenPokoju * SeznamCenPokoju;
public:		// User declarations
    __fastcall TDefinovaniCen(TComponent* Owner);
    int MyShowModal(const vector<int> & _VybraneTypyPokoju);
};
//---------------------------------------------------------------------------
extern PACKAGE TDefinovaniCen *DefinovaniCen;
//---------------------------------------------------------------------------
#endif
