//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "KlientiUpravUdajeFile.h"

#include "TSeznamObjednavekPokoju.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TKlientiUpravUdaje *KlientiUpravUdaje;
//---------------------------------------------------------------------------
__fastcall TKlientiUpravUdaje::TKlientiUpravUdaje(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TKlientiUpravUdaje::OKButtonClick(TObject *Sender)
{
    Close();    
}
//---------------------------------------------------------------------------
void __fastcall TKlientiUpravUdaje::FormShow(TObject *Sender)
{
    SeznamKlientu = new TSeznamKlientu();
    AktualizujZobrazeniNaFormulari();
}
//---------------------------------------------------------------------------
void __fastcall TKlientiUpravUdaje::FormHide(TObject *Sender)
{
    delete SeznamKlientu;
}
//---------------------------------------------------------------------------

void TKlientiUpravUdaje::AktualizujZobrazeniNaFormulari(void)
{
    SeznamKlientu->GetSeznamTStringList(KlientiComboBox->Items);
}
//---------------------------------------------------------------------------

void __fastcall TKlientiUpravUdaje::SmazKlientaButtonClick(TObject *Sender)
    // pokud ke klientovi uz nepatri zadna objednavka, smaze ho
    // (rovnou z databaze!!!)
{
    if(KlientiComboBox->ItemIndex == -1)
        return;
    if(!KontrolaObjednavekPokoju(SeznamKlientu->GetKlientID(
            KlientiComboBox->Items->Strings[KlientiComboBox->ItemIndex])))
    {
        Application->MessageBox("Ke klientovi jsou jeste prirazeny nejake rezervace.",
            "Nelze smazat", MB_OK);
        return;
    }

    if(Application->MessageBox("Opravdu chcete klienta trvale smazat?",
        "Varovn", MB_OKCANCEL) == IDOK)
    {
        SmazKlientaZDatabaze(SeznamKlientu->GetKlientID(
            KlientiComboBox->Items->Strings[KlientiComboBox->ItemIndex]));
        delete SeznamKlientu;
        SeznamKlientu = new TSeznamKlientu();
            // nen vbec hezk, chtlo by smazat z vektoru pouze jednoho
            // klienta
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

bool TKlientiUpravUdaje::KontrolaObjednavekPokoju(int _KlientID)
    // vrt true, pokud se k danmu klientovi nevyskytuje objednvka
    // MNOHEM RYCHLEJSI BY TO BYLO UDELAT PRIMYM DOTAZEM DO DATABAZE
{
    TSeznamObjednavekPokoju * Seznam = new TSeznamObjednavekPokoju(_KlientID);
    bool Vratit = Seznam->GetPocetObjednavek() ? false : true;
    delete Seznam;
    return Vratit;
}
//---------------------------------------------------------------------------

void TKlientiUpravUdaje::SmazKlientaZDatabaze(int _KlientID)
    // volno ze SmazKlientaButtonClick()
{
    TMojeQuery * Dotaz = new TMojeQuery();

    Dotaz->SQL->Clear();
    Dotaz->SQL->Add(TMyString("DELETE FROM klienti_tab WHERE klient_id = \"")
                                + TMyString(_KlientID) + "\"");
    Dotaz->ExecSQL();

    delete Dotaz;
}
//---------------------------------------------------------------------------

