//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "NastaveniDnuUTypuDneFile.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TNastaveniDnuUTypuDne *NastaveniDnuUTypuDne;
//---------------------------------------------------------------------------

__fastcall TNastaveniDnuUTypuDne::TNastaveniDnuUTypuDne(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::OKButtonClick(TObject *Sender)
{
    Kalendar->UlozDoDatabaze();
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::StornoButtonClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------

int __fastcall TNastaveniDnuUTypuDne::MyShowModal(int _TypDneID)
    // mezilnek ped ShowModal(), slou pro pedn ID typu dne, u kterho
    // se budou nastavovat dny
{
    Kalendar = new TKalendarProTypDne(_TypDneID);
    return ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::FormHide(TObject *Sender)
{
    delete Kalendar;
}
//---------------------------------------------------------------------------

void TNastaveniDnuUTypuDne::AktualizujZobrazeniNaFormulari(void)
{
    Kalendar->GetSeznamTStringList(VypisDniListBox->Items);
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::FormShow(TObject *Sender)
    // volno prostednictvm MyShowModal()!!!
{
    AktualizujZobrazeniNaFormulari();
    TDate D;
    OdDateTimePicker->Date = D.CurrentDate();
    DoDateTimePicker->Date = D.CurrentDate();
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::OdstranVybraneDnyButtonClick(
      TObject *Sender)
    // z Kalendar odebere dny, co uzivatel vybral v seznamu
{
    if(VypisDniListBox->SelCount > 0)
    {
        for(int i = 0; i < VypisDniListBox->Items->Count; i++)
        {
            if(VypisDniListBox->Selected[i])
            {
                Kalendar->OdstranDatum(VypisDniListBox->Items->Strings[i]);
            }
        }
        AktualizujZobrazeniNaFormulari();
    }
}
//---------------------------------------------------------------------------

void __fastcall TNastaveniDnuUTypuDne::PridejDnyButtonClick(
      TObject *Sender)
{
    if(OdDateTimePicker->Date > DoDateTimePicker->Date)
    {
        Application->MessageBox("Poten datum mus bt men ne koncov",
                                "Chyba", MB_OK);
        return;
    }

    for(TDate Datum = OdDateTimePicker->Date; Datum <= DoDateTimePicker->Date;
                                                                        Datum++)
    {
        if(KontrolaPodlePridejDnyCheckListBox(Datum))
        {
            Kalendar->PridejDatum(Datum);
            // jestli uz datum obsahuje si kontroluje TKalendarProTypDne,
            // zde neni potreba delat
        }
    }

    AktualizujZobrazeniNaFormulari();
}
//---------------------------------------------------------------------------

bool TNastaveniDnuUTypuDne::KontrolaPodlePridejDnyCheckListBox(
                                                            const TDate & Datum)
    // vyuv ji PridejDnyButtonClick(), vrt true pokud Datum vyhovuje
    // zakrtanm polkm v PridejDnyCheckListBox
{
    const int Posun = 5;
        // pitme, aby pondl bylo 0, jako je v PridejDnyCheckListBox

    if(PridejDnyCheckListBox->Checked[(Datum.DayOfWeek() + Posun) % 7])
    {
        return true;
    }
    return false;
}
//----------------------------------------------------------------------------

