// Formul, zobraz se po "Rezervace -> Nov rezervace..."
//---------------------------------------------------------------------------
#ifndef NovaRezervaceFileH
#define NovaRezervaceFileH
//-------------------------------------------------------
#include "TSeznamKlientu.h"
#include "TSeznamPokoju.h"
#include "TObjednavkaPokoje.h"
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ComCtrls.hpp>
//#include <Forms.hpp>
//---------------------------------------------------------------------------
class TNovaRezervace : public TForm
{
__published:	// IDE-managed Components
    TLabel *KlientLabel;
    TComboBox *KlientComboBox;
    TLabel *OdLabel;
    TLabel *DoLabel;
    TLabel *PokojLabel;
    TButton *OKButton;
    TButton *StornoButton;
    TDateTimePicker *OdDateTimePicker;
    TDateTimePicker *DoDateTimePicker;
    TComboBox *PokojComboBox;
    TLabel *NapisCenaLabel;
    TLabel *CenaLabel;
    TLabel *NapisVolnyLabel;
    TLabel *VolnyLabel;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall DoDateTimePickerChange(TObject *Sender);
    void __fastcall OdDateTimePickerChange(TObject *Sender);
    void __fastcall PokojComboBoxChange(TObject *Sender);
    void __fastcall KlientComboBoxChange(TObject *Sender);
private:	// User declarations
    TSeznamKlientu * SeznamKlientu;
    TSeznamPokoju * SeznamPokoju;
    TObjednavkaPokoje * ObjednavkaPokoje;

    void ZobrazKlientyComboBox(void);
    void ZobrazPokojeComboBox(void);
    void NastavDatumDateTimePickers(void);
    void UlozRezervaciDoDatabaze(void) const;
    void UlozRezervaciNaWebu(void) const;
    void AktualizujRezervaci(void);
    void AktualizujZobrazeniNaFormulari(void);
public:		// User declarations
    __fastcall TNovaRezervace(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TNovaRezervace *NovaRezervace;
//---------------------------------------------------------------------------
#endif
