// Formul, zobraz se pi "Klienti -> Nov klient..."
//
//   CHTLO BY UPRAVIT, VYUT TDU TKlient, NEZAPISOVAT ROVNOU DO DATABZE
//
//---------------------------------------------------------------------------
#ifndef PridaniKlientaFileH
#define PridaniKlientaFileH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
//#include <Forms.hpp>

#include <string>
#include "TSeznamTypuKlientu.h"
#include "PopisPolozekKlientaFile.h"
//--------------------------------------------------------------------
using MyStd::TMyString;

//---------------------------------------------------------------------------
class TPridaniKlienta : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TComboBox *TypKlientaComboBox;
    TButton *PridejButton;
    TButton *StornoButton;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TypKlientaComboBoxChange(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall PridejButtonClick(TObject *Sender);
private:	// User declarations
    TSeznamTypuKlientu * SeznamTypuKlientu;
    TPopisPolozekKlienta PopisPolozekKlienta;
    vector<TLabel *> VytvoreneKomponentyLabel;
    vector< pair<TMyString, TEdit *> > VytvoreneKomponentyEdit;

    void ZobrazTypKlientaComboBox(void);
    void ZobrazVolbyProKlienta(TMyString _TypKlienta);
    void OdstranVytvoreneKomponenty(void);
    void ZobrazVolbu(int & _lhrX, int & _lhrY, const TMyString & _NazevPole);
    void UlozKlientaDoDatabaze(void) const;
    TMyString VytvorDotazInsert(void) const;
public:		// User declarations
    __fastcall TPridaniKlienta(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TPridaniKlienta *PridaniKlienta;
//---------------------------------------------------------------------------
#endif
