#include "TCenaPokoje.h"

//---------------------------------------------------------------------------

TCenaPokoje::TCenaPokoje(int _TypPokojeID, int _TypKlientaID,
                                            int _TypDneID, double _Cena)
{
    TypPokojeID = _TypPokojeID;
    TypKlientaID = _TypKlientaID;
    TypDneID = _TypDneID;
    Cena = _Cena;
}
//---------------------------------------------------------------------------

bool TCenaPokoje::operator==(const TCenaPokoje & _RHS) const
{
    if((TypDneID == _RHS.GetTypDneID()) && (TypKlientaID == _RHS.GetTypKlientaID())
                                && (TypPokojeID == _RHS.GetTypPokojeID())   )
        return true;
    else
        return false;
}
//---------------------------------------------------------------------------

bool TCenaPokoje::operator!=(const TCenaPokoje & _RHS) const
{
    if(operator==(_RHS))
        return false;
    else
        return true;
}
//---------------------------------------------------------------------------

bool TCenaPokoje::operator<(const TCenaPokoje & _RHS) const
{
    if(
        (TypPokojeID < _RHS.GetTypPokojeID()) ||
        ((TypPokojeID == _RHS.GetTypPokojeID()) && (TypDneID < _RHS.GetTypDneID())) ||
        ((TypPokojeID == _RHS.GetTypPokojeID()) && (TypDneID == _RHS.GetTypDneID()) && (TypKlientaID < _RHS.GetTypKlientaID()))
                                                                              )
        return true;
    else
        return false;
}
//--------------------------------------------------------------------------

bool TCenaPokoje::operator>(const TCenaPokoje & _RHS) const
{
    if(!operator==(_RHS) && !operator<(_RHS))
        return true;
    else
        return false;
}
//---------------------------------------------------------------------------

