// Tda pouvan v TNastaveniDnuUTypuDne
// Reprezentuje st zznam v tabulce "kalendar_typy_dnu", kter pat
//      k pslunmu typu dne TypDneID
//
// Logicky by mla bt soust TTypDne a bt vytvoena pro kad typ dne
// v konstruktoru TSeznamTypuDni, ale protoe se me jednat o velk mnostv
// dat, kter by mla bt v pamti, je takto vylenna.
//----------------------------------------------------------------------------
#ifndef _TKalendarProTypDne_h_
#define _TKalendarProTypDne_h_

#include "TMyString.h"

#include <classes.hpp>
#include <set>
#include <system.hpp>

using MyStd::TMyString;
using std::set;
//---------------------------------------------------------------------------

class TKalendarProTypDne
{
public:
    TKalendarProTypDne(int _TypDneID);
    ~TKalendarProTypDne(void) { };
    void GetSeznamTStringList(TStrings * _sl) const;
    void PridejDatum(const TDate & _Datum);
    void OdstranDatum(const TMyString & _Datum);
    void UlozDoDatabaze(void); // melo by byt const, ale diky funkci
                               // FormatString() nemuze

private:
    TMyString VytvorDotazInsertProUlozeniDne(const set< TDate >::iterator _it);

    int TypDneID;
    set< TDate > Dny;

};
//---------------------------------------------------------------------------

#endif

