/*
    M tda pro stringy, abych neml problmy s neustlm konvertovnm
    na AnsiString, kter vyaduj nkter funkce komponent Builderu
    (WebBrowser, ...).
*/
//--------------------------------------------------------
#ifndef _TMyString_h_
#define _TMyString_h_
//-------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include <string>
using std::string;

//-----------------------------------------------
namespace MyStd
{

    class TMyString : public string
    {
    public:
        TMyString() : string() {};
        TMyString(const AnsiString _AStr) : string(_AStr.c_str()) {};
        TMyString(const char * _str) : string(_str) {};
        TMyString(const string _str) : string(_str) {};
        TMyString(const TDate & _D);
        operator AnsiString() const { return AnsiString(this->c_str()); };
        TMyString operator+(TMyString _str) { return TMyString(string(*this)
                                                            + string(_str)); }
        TMyString operator+(string _str) { return TMyString(string(*this)
                                                                    + _str); }
        TMyString operator+(AnsiString _str) { return TMyString(string(*this)
                                                        + TMyString(_str)); }
//        TMyString operator+=(AnsiString _str) { return TMyString(string(*this)
//                                                += TMyString(_str)); }
// += dlal neplechu,
// kdy nadefinuji opertor v odvozen td, tak vechny stejn opertory
// v pedcch se stanou nedostupn????
    };


} // namespace MyStd

#endif