// Formul, zobraz ho Rezervace -> Sma rezervaci...
//---------------------------------------------------------------------------
#ifndef TRezervaceSmazRezervaciH
#define TRezervaceSmazRezervaciH
//---------------------------------------------------------------------------
#include "TSeznamKlientu.h"
#include "TSeznamObjednavekPokoju.h"

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TRezervaceSmazRezervaci : public TForm
{
__published:	// IDE-managed Components
    TLabel *KlientLabel;
    TComboBox *KlientComboBox;
    TLabel *RezervaceVybranehoKlientaLabel;
    TListBox *RezervaceListBox;
    TButton *SmazRezervaciButton;
    TButton *OKButton;
    TButton *StornoButton;
    TLabel *NapisOdLabel;
    TLabel *NapisDoLabel;
    TLabel *OdLabel;
    TLabel *DoLabel;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall KlientComboBoxChange(TObject *Sender);
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall StornoButtonClick(TObject *Sender);
    void __fastcall RezervaceListBoxClick(TObject *Sender);
    void __fastcall SmazRezervaciButtonClick(TObject *Sender);
private:	// User declarations
    void AktualizujZobrazeniNaFormulari(void);
    void SmazRezervaciZDatabaze(int _CisloObjednavky) const;

    TSeznamKlientu * SeznamKlientu;
    TSeznamObjednavekPokoju * SeznamObjednavekPokoju;
public:		// User declarations
    __fastcall TRezervaceSmazRezervaci(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TRezervaceSmazRezervaci *RezervaceSmazRezervaci;
//---------------------------------------------------------------------------
#endif
