// Tda reprezentujc tabulku "pokoje_tab"
//---------------------------------------------------------------------------
#ifndef _TSeznamPokoju_h_
#define _TSeznamPokoju_h_

#include "TPokoj.h"

#include <vector>
#include <classes.hpp>

using std::vector;
//---------------------------------------------------------------------------

class TSeznamPokoju
{
public:
    TSeznamPokoju(void);
    ~TSeznamPokoju(void) {};
    void GetSeznamTStringList(TStrings * _sl) const;
    void PridejPokoj(const TMyString & _CisloPokoje, int _TypPokojeID);
    void OdstranPokoj(const TMyString & _CisloPokoje);
    void UlozDoDatabaze(void) const;
    int GetPokojID(const TMyString & _CisloPokoje) const;
    TPokoj GetPokoj(const TMyString & _CisloPokoje) const;

private:
    int NajdiNepouziteID(void) const;
    bool SeznamObsahujeID(int _ID) const;
    TMyString VytvorDotazInsertProUlozeni(
                        const vector< TPokoj >::const_iterator _it) const;
    void UlozDoDatabazePokoje(void) const;

    vector< TPokoj > Pokoje;

};
//---------------------------------------------------------------------------

#endif
 