// Tda reprezentujc tabulku "typy_klientu_tab", prvky vectoru "TTypKlienta"
// obsahuji i data z tabulku "klient_zobrazit"
//--------------------------------------------------------------------------
#ifndef _TTypyKlientu_h_
#define _TTypyKlinetu_h_
//--------------------------------------------------------------------------

#include "TTypKlienta.h";
#include <vector>
#include <classes.hpp>
#include "TMyString.h"

using std::vector;
using MyStd::TMyString;
//---------------------------------------------------------------------------

class TSeznamTypuKlientu
{
public:
    TSeznamTypuKlientu();
    ~TSeznamTypuKlientu() {};
    void GetSeznamTStringList(TStrings * _sl) const;
    int GetTypKlientaID(const TMyString & _TypKlienta) const;
    bool First(void);
    bool Next(void);
    int PoziceGetTypKlientaID(void) const;


private:
    vector< TTypKlienta >::const_iterator Pozice;
    vector< TTypKlienta > TypyKlientu;
};
//---------------------------------------------------------------------------
#endif