// Tda reprezentujc jednu dku z tabulky "typy_klientu_tab" +
// + pslunou dku z tabulky "klient_zobrazit_tab", kter k,
// jak daje se uchovvaj o danm typu klienta, jin budou u obyejnho
// hosta z ulice a jin u cestovky, kter ubytovv kvanta turist
//--------------------------------------------------------------------------
#ifndef _TTypKlienta_h_
#define _TTypKlienta_h_

#include <vector>
#include <utility>
#include "TMyString.h"

using std::vector;
using std::pair;
using MyStd::TMyString;
//--------------------------------------------------------------------------

class TTypKlienta
{
public:
    TTypKlienta(int _TypKlientaID, const TMyString & _NazevTypuKlienta);
    ~TTypKlienta() {};
    int GetTypKlientaID(void) const;
    const TMyString & GetNazevTypuKlienta(void) const;
    bool FirstZobrazit();
    bool NextZobrazit();
    const TMyString & GetNazevPoleZobrazit() const;

private:
    void NaplnVectorZobrazit(int _TypKlientaID);

    int TypKlientaID;
    TMyString NazevTypuKlienta;
    vector< pair<int, TMyString> > Zobrazit;
    vector< pair<int, TMyString> >::iterator PoziceZobrazit;
};
//--------------------------------------------------------------------------
#endif
